Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/mate-terminal: new aport

From: Alan Lacerda <alancordeiro_at_gmail.com>
Date: Mon, 15 Dec 2014 14:52:36 +0000

---
 testing/mate-terminal/APKBUILD | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)
 create mode 100644 testing/mate-terminal/APKBUILD
diff --git a/testing/mate-terminal/APKBUILD b/testing/mate-terminal/APKBUILD
new file mode 100644
index 0000000..c5db777
--- /dev/null
+++ b/testing/mate-terminal/APKBUILD
_at_@ -0,0 +1,42 @@
+# Contributor: Alan Lacerda <alacerda_at_alpinelinux.org>
+# Maintainer:
+pkgname=mate-terminal
+pkgver=1.9.0
+pkgrel=0
+pkgdesc="MATE terminal emulator"
+url="https://github.com/mate-desktop/mate-terminal"
+arch="all"
+license="GPL2"
+depends="mate-common yelp-tools mate-desktop"
+depends_dev=""
+makedepends="$depends_dev vte-dev autoconf automake libtool intltool glib-dev
+	dconf-dev libsm-dev itstool"
+install=""
+subpackages="$pkgname-doc $pkgname-lang"
+source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./autogen.sh --prefix=/usr || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="${pkgdir}" install || return 1
+}
+
+md5sums="5a592c36ae7d033f963b231231132633  mate-terminal-1.9.0.tar.xz"
+sha256sums="206d5136788da1c394b37e2e55fe56c2cfac3e06dd083b023033c3b6a52060f5  mate-terminal-1.9.0.tar.xz"
+sha512sums="adb9c00eda5292215c88a4367d28f60217c31c365cacc4b69be34aa1694151e764bed2eac7dfb6491f1a88b3d9f310d31ee26dc8974df8895b9a8f98701ff340  mate-terminal-1.9.0.tar.xz"
-- 
2.1.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Mon Dec 15 2014 - 14:52:36 UTC